MapTypeID (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.meta
Class MapTypeID

    java.lang.Object
      org.apache.hadoop.record.meta.TypeID
          org.apache.hadoop.record.meta.MapTypeID

    public class MapTypeID

extends TypeID

Represents typeID for a Map

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.record.meta.TypeID
`TypeID.RIOType`

Field Summary

Fields inherited from class org.apache.hadoop.record.meta.TypeID
`BoolTypeID, BufferTypeID, ByteTypeID, DoubleTypeID, FloatTypeID, IntTypeID, LongTypeID, StringTypeID, typeVal`

Constructor Summary
`MapTypeID(TypeID typeIDKey, TypeID typeIDValue)`

Method Summary
`boolean` | `equals(Object o)` Two map typeIDs are equal if their constituent elements have the same type
`TypeID` | `getKeyTypeID()` get the TypeID of the map's key element
`TypeID` | `getValueTypeID()` get the TypeID of the map's value element
`int` | `hashCode()` We use a basic hashcode implementation, since this class will likely not be used as a hashmap key

Methods inherited from class org.apache.hadoop.record.meta.TypeID
`getTypeVal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapTypeID

    public MapTypeID(TypeID typeIDKey,
                     TypeID typeIDValue)

Method Detail

### getKeyTypeID

    public TypeID getKeyTypeID()

  get the TypeID of the map's key element

### getValueTypeID

    public TypeID getValueTypeID()

  get the TypeID of the map's value element

### equals

    public boolean equals(Object o)

  Two map typeIDs are equal if their constituent elements have the same type

  Overrides:
    `equals` in class `TypeID`

### hashCode

    public int hashCode()

  We use a basic hashcode implementation, since this class will likely not be used as a hashmap key

  Overrides:
    `hashCode` in class `TypeID`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation